Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## orarend
Class TeremId

    java.lang.Object
      orarend.TeremId

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Terem

    public class TeremId

extends java.lang.Object
implements java.io.Serializable

Termek tábla összetett kulcsát reprezentáló osztály

Author:
  Csipkés László
See Also:
  Serialized Form

Field Summary
`protected Szak` | `szakkod`
`protected java.lang.String` | `teremnev`

Constructor Summary
`TeremId()` Üres konstruktor
`TeremId(java.lang.String nev, Szak szak)` TeremId-t létrehozó konstruktor

Method Summary
`boolean` | `equals(java.lang.Object o)`
`Szak` | `getSzakkod()`
`java.lang.String` | `getTeremnev()`
`void` | `setSzakkod(Szak sza)`
`void` | `setTeremnev(java.lang.String tn)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### teremnev

    protected java.lang.String teremnev

### szakkod

    protected Szak szakkod

Constructor Detail

### TeremId

    public TeremId()

  Üres konstruktor

### TeremId

    public TeremId(java.lang.String nev,
                   Szak szak)

  TeremId-t létrehozó konstruktor

  Parameters:
    `nev` - terem neve
    `szak` - terem szakja

Method Detail

### getTeremnev

    public java.lang.String getTeremnev()

### setTeremnev

    public void setTeremnev(java.lang.String tn)

### getSzakkod

    public Szak getSzakkod()

### setSzakkod

    public void setSzakkod(Szak sza)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD